Skip to content

HTTPS clone URL

Subversion checkout URL

You can clone with
or
.
Download ZIP
Fetching contributors…

Cannot retrieve contributors at this time

111 lines (79 sloc) 3.151 kB

User-visible changes

0.12.0 - 2012-07-19

  • blessings replaces termcolor for fancy output
  • argparse is now required for Python 2.6
  • Tests now use nose2, expecter and nose2-cov
  • attest is no longer required for running tests
  • cloud_sptheme is no longer required for building documentation
  • On OS-X we fall back to ~/Library/Application Support for templates
  • pip requirements files are now included in extra

0.11.0 - 2012-01-30

  • Added a basic JSON template, useful for handling version data for nodejs packages
  • Improved developer documentation
  • attest and behave are now required to run the testsuite

0.10.0 - 2011-03-30

  • Added a h template, for writing C header files
  • dateobj exported to templates for full access to datetime.date methods
  • Man page available by calling make man in doc directory
  • Sphinx examples in Getting Started document

0.9.0 - 2011-03-21

  • Installable with setuptools
  • Release date output with --display date option

0.8.0 - 2011-02-26

  • Support for reading shtool generated files
  • major, minor, micro and patch are exported to templates
  • Added an M4 template, useful for working with autoconf

0.7.0 - 2011-02-21

  • User templates now override system templates
  • Ruby template
  • Default file type is now based on version file's extension
  • Support for comparing version numbers when used as a library

0.6.0 - 2011-02-19

  • Support for versions containing two or four components
  • regexp filter for use in custom templates

0.5.0 - 2011-02-19

  • Includes a release date in version output
  • Support for package names with dashes and underscores

0.4.0 - 2011-02-18

  • Support for including a package name in output

0.3.0 - 2011-02-15

  • Support for output templates using Jinja
  • Coloured output using termcolor if available
  • No longer supports Python 2.5 or lower

0.2.0 - 2011-02-15

  • Python 3 support

0.1.0 - 2011-02-15

  • Initial release
Jump to Line
Something went wrong with that request. Please try again.